Package twisted :: Package names :: Module root

[frames | no frames]

## Module twisted.names.root

    Resolver implementation for querying successive authoritative servers to
    lookup a record, starting from the root nameservers.

    API Stability: Unstable

    @author U{Jp Calderone<mailto:exarkun@twistedmatrix.com>}

    todo: robustify it
          break discoverAuthority into several smaller functions
          documentation

Classes
`_DummyController` |
`DeferredResolver` |
`Resolver` |

Function Summary
| ``bootstrap`(resolver)` Lookup the root nameserver addresses using the given resolver
| `discoverAuthority(host, roots, cache, p)`
| `extractAuthority(msg, cache)`
| `lookupAddress(host, atServer, p)`
| `lookupNameservers(host, atServer, p)`
| `makePlaceholder(deferred, name)`
| `retry(t, p, *args)`

Function Details

### bootstrap(resolver)

Lookup the root nameserver addresses using the given resolver

Return a Resolver which will eventually become a `root.Resolver` instance that has references to all the root servers that we were able to look up.

Generated by Epydoc 2.0 on Sat May 15 20:07:41 2004 | http://epydoc.sf.net